System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.Services.Protocols.HttpSimpleClientProtocol

When an XML Web service client uses the HTTP-POST protocol, by default parameters are encoded within the HTTP body using URL encoding rules and uses plain XML for the response. This protocol uses classes that derive from to encode parameters and return values into standard MIME formats. The encoders to use are specified in the service description.

If you are building an XML Web service client using ASP.NET, then a proxy class deriving indirectly or directly from needs to be created for the XML Web service you want to call. When the XML Web service client is calling using HTTP, derive the proxy class , which in turn derives from .

and derive from , providing the support for calling an XML Web service method using HTTP-GET and HTTP-POST respectively. Clients calling an XML Web service using SOAP should derive from .

For details on building a proxy class, see [<topic://cpconcreatingwebserviceproxy>].

The base class for XML Web service client proxies that use the HTTP-POST protocol.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Net.WebRequest ``

  This method overrides the base version of to specify that the HTTP request to the XML Web service is made using HTTP-POST. By overriding this method, you can customize the object before the XML Web service request is made. For example, you can add a custom header to the request.

  Creates a instance for the specified URI.

  The instance.

  The to use when creating the . 1.0.5000.0 2.0.0.0